Closed Bug 730461 Opened 8 years ago Closed 7 years ago

Intermittent media/test/test_progress.html, test_fragment_play.html, test_optionalArguments.html, localstorage/test_bug624047.html | Exited with code 1 during test run [@ libc-2.11.so@0x80fb2|sqlite3Parser]

Categories

(Toolkit :: Storage, defect, critical)

x86_64
Linux
defect
Not set
critical

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: mbrubeck, Unassigned)

References

Details

(Keywords: crash, intermittent-failure, Whiteboard: [test which aborts the suite])

Crash Data

I'm not sure if this should be filed under media or storage.  Please re-assign as appropriate.

https://tbpl.mozilla.org/php/getParsedLog.php?id=9604568&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-1/5 on 2012-02-24 12:05:29 PST for push 736d27c50caa

77500 INFO TEST-START | /tests/content/media/test/test_progress.html
77501 INFO TEST-INFO | /tests/content/media/test/test_progress.html | Started Fri Feb 24 2012 12:18:03 GMT-0800 (PST) (1330114683.903s)
77502 INFO TEST-PASS | /tests/content/media/test/test_progress.html | [started r11025_u8_c1.wav-0] Length of array should match number of running tests - 1 should equal 1
77503 INFO TEST-PASS | /tests/content/media/test/test_progress.html | [started big.wav-1] Length of array should match number of running tests - 2 should equal 2
77504 INFO TEST-PASS | /tests/content/media/test/test_progress.html | Check no progress events after completed for r11025_u8_c1.wav
77505 INFO TEST-PASS | /tests/content/media/test/test_progress.html | Check no progress events after completed for big.wav
77506 INFO TEST-PASS | /tests/content/media/test/test_progress.html | Check no progress events after completed for r11025_u8_c1.wav
77507 INFO TEST-PASS | /tests/content/media/test/test_progress.html | Check no progress events after completed for big.wav
TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_progress.html | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:11:46.673569
INFO | automation.py | Reading PID log: /tmp/tmpE1sBHvpidlog
==> process 2302 launched child process 2358
INFO | automation.py | Checking for orphan process with PID: 2358
PROCESS-CRASH | /tests/content/media/test/test_progress.html | application crashed (minidump found)
Crash dump filename: /tmp/tmpjRgacj/minidumps/10e364e8-0719-ef50-4f81c541-656af6ff.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGSEGV
Crash address: 0x7ff288300000

Thread 12 (crashed)
 0  libc-2.11.so + 0x80fb2
    rbx = 0x875dd190   r12 = 0x87357c00   r13 = 0x0000000c   r14 = 0x88110d60
    r15 = 0x00000004   rip = 0xd2e80fb2   rsp = 0x9ccfe818   rbp = 0x875dd000
    Found by: given as instruction pointer in context
 1  libmozsqlite3.so!sqlite3Parser [sqlite3.c : 74845 + 0x27]
    rip = 0xb337dfd9   rsp = 0x9ccfe820
    Found by: stack scanning
 2  libmozsqlite3.so!sqlite3RunParser [sqlite3.c : 111740 + 0x17]
    rbx = 0x87357c00   r12 = 0x875dd000   r13 = 0x3b9aca00   r14 = 0x00000102
    r15 = 0x9ccfea20   rip = 0xb337f762   rsp = 0x9ccfe980   rbp = 0x9db97400
    Found by: call frame info
 3  libmozsqlite3.so!sqlite3Prepare [sqlite3.c : 94079 + 0xf]
    rbx = 0x9db97400   r12 = 0x00000000   r13 = 0x8ab882e0   r14 = 0xffffffff
    r15 = 0x00000040   rip = 0xb3381007   rsp = 0x9ccfe9f0   rbp = 0x87357c00
    Found by: call frame info
 4  libmozsqlite3.so!sqlite3LockAndPrepare [sqlite3.c : 94171 + 0x1c]
    rbx = 0x9db97400   r12 = 0x00000000   r13 = 0x8cfd2c40   r14 = 0x00000000
    r15 = 0xffffffff   rip = 0xb33812f8   rsp = 0x9ccfea70   rbp = 0x9ccfeb38
    Found by: call frame info
 5  libmozsqlite3.so!sqlite3_step [sqlite3.c : 94200 + 0x1f]
    rbx = 0x8cfd2c40   r12 = 0x8cfd2c40   r13 = 0x00000011   r14 = 0x8cfd2c40
    r15 = 0x00000000   rip = 0xb3382011   rsp = 0x9ccfead0   rbp = 0x9db97400
    Found by: call frame info
 6  libxul.so!mozilla::storage::Connection::stepStatement [mozStorageConnection.cpp : 884 + 0x7]
    rbx = 0x87315d80   r12 = 0x8cfd2c40   r13 = 0x00000000   r14 = 0x8cfd2c40
    r15 = 0x00000000   rip = 0xb1368181   rsp = 0x9ccfeb80   rbp = 0x9f78d380
    Found by: call frame info
 7  libxul.so!mozilla::storage::AsyncExecuteStatements::executeStatement [mozStorageAsyncStatementExecution.cpp : 368 + 0xb]
    rbx = 0x87315d80   r12 = 0x9ccfec40   r13 = 0x9ccfec30   r14 = 0x8cfd2c40
    r15 = 0x00000000   rip = 0xb136df58   rsp = 0x9ccfec10   rbp = 0x8cfd2c40
    Found by: call frame info
 8  libxul.so!mozilla::storage::AsyncExecuteStatements::executeAndProcessStatement [mozStorageAsyncStatementExecution.cpp : 315 + 0xa]
    rbx = 0x87315d80   r12 = 0x00000000   r13 = 0x9ccfece0   r14 = 0x9ccfecd0
    r15 = 0x00000000   rip = 0xb136e214   rsp = 0x9ccfec90   rbp = 0x8cfd2c40
    Found by: call frame info
 9  libxul.so!mozilla::storage::AsyncExecuteStatements::bindExecuteAndProcessStatement [mozStorageAsyncStatementExecution.cpp : 297 + 0xf]
    rbx = 0x87315d80   r12 = 0x00000001   r13 = 0x9ccfece0   r14 = 0x9ccfecd0
    r15 = 0x00000000   rip = 0xb136e352   rsp = 0x9ccfecc0   rbp = 0x9ccfecf0
    Found by: call frame info
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-2/5 on 2012-05-24 02:10:54 PDT for push e74adb892275
slave: talos-r3-fed64-041

https://tbpl.mozilla.org/php/getParsedLog.php?id=12019277&tree=Mozilla-Inbound

{
156477 INFO TEST-START | /tests/dom/indexedDB/test/test_optionalArguments.html
156478 INFO TEST-PASS | /tests/dom/indexedDB/test/test_optionalArguments.html | Got upgradeneeded event - upgradeneeded should equal upgradeneeded
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_optionalArguments.html | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:05:05.732671
INFO | automation.py | Reading PID log: /tmp/tmpARhhbCpidlog
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-linux64/1337849935/firefox-15.0a1.en-US.linux-x86_64.crashreporter-symbols.zip
PROCESS-CRASH | /tests/dom/indexedDB/test/test_optionalArguments.html | application crashed (minidump found)
Crash dump filename: /tmp/tmpjoLCDK/minidumps/115f0c37-b411-414f-60172ffd-2b2d99f5.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGSEGV
Crash address: 0x7fd3a1700000

Thread 13 (crashed)
 0  libc-2.11.so + 0x80fb2
    rbx = 0xbd615190   r12 = 0xa0d19c00   r13 = 0x0000000c   r14 = 0xa3cebc80
    r15 = 0x00000004   rip = 0xd2e80fb2   rsp = 0xd07fe9e8   rbp = 0xbd615000
    Found by: given as instruction pointer in context
 1  libmozsqlite3.so!sqlite3Parser [sqlite3.c : 75318 + 0x27]
    rip = 0xe7479b8e   rsp = 0xd07fe9f0
    Found by: stack scanning
 2  libmozsqlite3.so!sqlite3RunParser [sqlite3.c : 112457 + 0x17]
    rbx = 0xa0d19c00   r12 = 0xbd615000   r13 = 0x3b9aca00   r14 = 0x000000fc
    r15 = 0xd07febf0   rip = 0xe747b363   rsp = 0xd07feb50   rbp = 0xd1ce2c00
    Found by: call frame info
 3  libmozsqlite3.so!sqlite3Prepare [sqlite3.c : 94686 + 0xf]
    rbx = 0xd1ce2c00   r12 = 0x00000000   r13 = 0x9dd32e28   r14 = 0xffffffff
    r15 = 0x00000040   rip = 0xe747cc37   rsp = 0xd07febc0   rbp = 0xa0d19c00
    Found by: call frame info
 4  libmozsqlite3.so!sqlite3LockAndPrepare [sqlite3.c : 94778 + 0x1c]
    rbx = 0xd1ce2c00   r12 = 0x00000000   r13 = 0x00000000   r14 = 0x00000001
    r15 = 0xffffffff   rip = 0xe747cf28   rsp = 0xd07fec40   rbp = 0xa95fb8e8
    Found by: call frame info
 5  libmozsqlite3.so!sqlite3_prepare_v2 [sqlite3.c : 94854 + 0x10]
    rbx = 0xd28a55c0   r12 = 0x00000000   r13 = 0xa95fb8e8   r14 = 0x00000000
    r15 = 0x00000012   rip = 0xe747d0d1   rsp = 0xd07feca0   rbp = 0xa95fb8f8
    Found by: call frame info
 6  libxul.so!mozilla::storage::Connection::prepareStatement [mozStorageConnection.cpp : 909 + 0x15]
    rbx = 0xd28a55c0   r12 = 0x00000000   r13 = 0xa95fb8e8   r14 = 0x00000000
    r15 = 0x00000012   rip = 0xe535f5bb   rsp = 0xd07fecc0   rbp = 0xa95fb8f8
    Found by: call frame info
 7  libxul.so!mozilla::storage::AsyncStatement::getAsyncStatement [mozStorageAsyncStatement.cpp : 302 + 0x10]
    rbx = 0xa95fb8d0   r12 = 0xd07fed70   r13 = 0xd07fed78   r14 = 0x00000000
    r15 = 0x00000012   rip = 0xe5367236   rsp = 0xd07fed00   rbp = 0xa2b20ed8
    Found by: call frame info
 8  libxul.so!mozilla::storage::StatementData::getSqliteStatement [mozStorageStatementData.h : 58 + 0x8]
    rbx = 0xa2b20ed8   r12 = 0xd07fed70   r13 = 0xd07fed78   r14 = 0x00000000
    r15 = 0x00000012   rip = 0xe536446d   rsp = 0xd07fed20   rbp = 0xd07fed78
    Found by: call frame info
 9  libxul.so!mozilla::storage::AsyncExecuteStatements::Run [mozStorageAsyncStatementExecution.cpp : 592 + 0x4]
    rbx = 0x9d9f6c00   r12 = 0xd07fed70   r13 = 0xd07fed78   r14 = 0x00000000
    r15 = 0x00000012   rip = 0xe5364fdb   rsp = 0xd07fed40   rbp = 0x00000006
    Found by: call frame info
}
Crash Signature: [@ sqlite3Parser] → [@ libc-2.11.so@0x80fb2] [@ sqlite3Parser]
Component: Video/Audio → Storage
Product: Core → Toolkit
QA Contact: video.audio → storage
Summary: Intermittent TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_progress.html | Exited with code 1 during test run [@ sqlite3Parser] → Intermittent TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_progress.html, test_optionalArguments.html | Exited with code 1 during test run [@ libc-2.11.so@0x80fb2] [@ sqlite3Parser]
Version: 13 Branch → Trunk
Severity: normal → critical
Rev3 Fedora 12x64 profiling opt test mochitests-3/5 on 2012-06-25 08:52:00 PDT for push 33619590ffff

slave: talos-r3-fed64-025

https://tbpl.mozilla.org/php/getParsedLog.php?id=12970875&tree=Profiling
Summary: Intermittent TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_progress.html, test_optionalArguments.html | Exited with code 1 during test run [@ libc-2.11.so@0x80fb2] [@ sqlite3Parser] → Intermittent media/test/test_progress.html, test_optionalArguments.html, localstorage/test_bug624047.html | Exited with code 1 during test run [@ libc-2.11.so@0x80fb2|sqlite3Parser]
Blocks: 777282
Blocks: 812402
Whiteboard: [orange][test which aborts the suite] → [test which aborts the suite]
https://tbpl.mozilla.org/php/getParsedLog.php?id=18297490&tree=Firefox
Summary: Intermittent media/test/test_progress.html, test_optionalArguments.html, localstorage/test_bug624047.html | Exited with code 1 during test run [@ libc-2.11.so@0x80fb2|sqlite3Parser] → Intermittent media/test/test_progress.html, test_fragment_play.html, test_optionalArguments.html, localstorage/test_bug624047.html | Exited with code 1 during test run [@ libc-2.11.so@0x80fb2|sqlite3Parser]
Resolving WFM keyword:intermittent-failure bugs last modified >3 months ago, whose whiteboard contains none of:
{random,disabled,marked,fuzzy,todo,fails,failing,annotated,time-bomb,leave open}

There will inevitably be some false positives; for that (and the bugspam) I apologise. Filter on orangewfm.
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.